NeuralEngine A Game Engine with embeded Machine Learning algorithms based on Gaussian Processes. |

Public Member Functions | Protected Attributes | List of all members
NeuralEngine::MachineLearning::Figure Class Reference
Collaboration diagram for NeuralEngine::MachineLearning::Figure:
[legend]

## Public Member Functions
| Figure (View &view)
Figure & | clear ()
Figure & | origin (bool x, bool y)
Figure & | square (bool square)
Figure & | border (int size)
Figure & | alpha (int alpha)
Figure & | gridSize (int size)
Figure & | backgroundColor (Color color)
Figure & | axisColor (Color color)
Figure & | subaxisColor (Color color)
Figure & | textColor (Color color)
Color | backgroundColor ()
Color | axisColor ()
Color | subaxisColor ()
Color | textColor ()
void | draw (void *b, float x_min, float x_max, float y_min, float y_max, int n_max, int p_max) const
void | show (bool flush=true) const
Series & | series (const std::string &label)

## Protected Attributes
View & | view_
std::vector< Series > | series_
int | border_size_
Color | background_color_
Color | axis_color_
Color | sub_axis_color_
Color | text_color_
bool | include_zero_x_
bool | include_zero_y_
bool | aspect_square_
int | grid_size_
int | grid_padding_

## Detailed Description

Definition at line 118 of file FgFigure.h.

## Member Data Documentation

## ◆ view_

View& NeuralEngine::MachineLearning::Figure::view_
| protected

Definition at line 144 of file FgFigure.h.

## ◆ series_

std::vector<Series> NeuralEngine::MachineLearning::Figure::series_
| protected

Definition at line 145 of file FgFigure.h.

## ◆ border_size_

int NeuralEngine::MachineLearning::Figure::border_size_
| protected

Definition at line 146 of file FgFigure.h.

## ◆ background_color_

Color NeuralEngine::MachineLearning::Figure::background_color_
| protected

Definition at line 147 of file FgFigure.h.

## ◆ axis_color_

Color NeuralEngine::MachineLearning::Figure::axis_color_
| protected

Definition at line 148 of file FgFigure.h.

## ◆ sub_axis_color_

Color NeuralEngine::MachineLearning::Figure::sub_axis_color_
| protected

Definition at line 149 of file FgFigure.h.

## ◆ text_color_

Color NeuralEngine::MachineLearning::Figure::text_color_
| protected

Definition at line 150 of file FgFigure.h.

## ◆ include_zero_x_

bool NeuralEngine::MachineLearning::Figure::include_zero_x_
| protected

Definition at line 151 of file FgFigure.h.

## ◆ include_zero_y_

bool NeuralEngine::MachineLearning::Figure::include_zero_y_
| protected

Definition at line 152 of file FgFigure.h.

## ◆ aspect_square_

bool NeuralEngine::MachineLearning::Figure::aspect_square_
| protected

Definition at line 153 of file FgFigure.h.

## ◆ grid_size_

int NeuralEngine::MachineLearning::Figure::grid_size_
| protected

Definition at line 154 of file FgFigure.h.

## ◆ grid_padding_

int NeuralEngine::MachineLearning::Figure::grid_padding_
| protected

Definition at line 155 of file FgFigure.h.

The documentation for this class was generated from the following file:

- FgFigure.h